OpenVDB 7.0.0

Public Types | Static Public Attributes | List of all members
ValueTraits< T, bool > Struct Template Reference

`#include <Types.h>`

## Public Types
using | ElementType = typename T::ValueType

## Static Public Attributes
static const bool | IsVec = VecTraits<T>::IsVec
static const bool | IsQuat = QuatTraits<T>::IsQuat
static const bool | IsMat = MatTraits<T>::IsMat
static const bool | IsScalar = false
static const int | Size = T::size
static const int | Elements = IsMat ? Size*Size : Size

## Member Typedef Documentation

## ◆ ElementType

using ElementType = typename T::ValueType

## Member Data Documentation

## ◆ Elements

const int Elements = IsMat ? Size*Size : Size
| static

## ◆ IsMat

const bool IsMat = MatTraits<T>::IsMat
| static

## ◆ IsQuat

const bool IsQuat = QuatTraits<T>::IsQuat
| static

## ◆ IsScalar

const bool IsScalar = false
| static

## ◆ IsVec

const bool IsVec = VecTraits<T>::IsVec
| static

## ◆ Size

const int Size = T::size
| static

The documentation for this struct was generated from the following file:

- Types.h